# vim: set ts=4 sw=4 sts=4 et:
Name:           ws-xmlschema
Version:        2.0.2
Release:        %mkrel 11
Summary:        Apache XMLSchema
Group:          Development/Java
License:        ASL 2.0
URL:            http://ws.apache.org/commons/xmlschema20/

# wget -c http://apache.osuosl.org/ws/xmlschema/2.0.2/xmlschema-2.0.2-source-release.zip
# unzip xmlschema-2.0.2-source-release.zip
# rm -r xmlschema-2.0.2/w3c-testcases
# tar cafJ ws-xmlschema-2.0.2.tar.xz xmlschema-2.0.2
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  apache-resource-bundles
BuildRequires:  maven-local
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  xmlunit
BuildRequires:  maven-shared

%description
Apache XMLSchema is a light weight schema object model that can be
used to manipulate or generate XML schema. It has very few external
dependencies and can be easily integrated into an existing project.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n xmlschema-%{version}

%pom_disable_module xmlschema-bundle-test
%pom_disable_module w3c-testcases

%build
# fastinstall profile avoids some build dependencies
# tests require unavailable dependencies
%mvn_build -f -- -Pfastinstall

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE README.txt RELEASE-NOTE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Feb 17 2016 umeabot <umeabot> 2.0.2-11.mga6
+ Revision: 963941
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-10.mga5
+ Revision: 745783
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 2.0.2-8.mga4
+ Revision: 560758
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.2-5.mga3
+ Revision: 385872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 dmorgan <dmorgan> 2.0.2-4.mga3
+ Revision: 330634
- imported package ws-xmlschema


* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 5 2012 Patryk Obara <pobara@redhat.com> 2.0.2-3
- Removed link, simplified install phase

* Thu Jun 28 2012 Patryk Obara <pobara@redhat.com> 2.0.2-2
- Repackaging of sources to remove test files with bad licensing
- Fix jar file name and location

* Mon Jun 18 2012 Patryk Obara <pobara@redhat.com> 2.0.2-1
- Initial packaging

